'use strict';

const log = require('npmlog');

// 可以通过LOG_LEVEL这个环境变量来设置日志的显示级别，默认是info
log.level = process.env.LOG_LEVEL ? process.env.LOG_LEVEL : 'info';

log.heading = 'foundation-cli'; // 给日志定义特有前缀
log.headingStyle = {
    fg: 'black',
    bg: 'white'
};

// 自定义类型为success（类似于info，info就是一种日志类型）的日志，并定义优先级为2000，同时设置字体为绿色加粗
log.addLevel('success', 2000, {fg: 'green', bold: true});

module.exports = log;
